%define name	cacti
%define version	0.8.6c
%define release	10mdk

Summary:	Cacti is a php frontend for rrdtool
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.cacti.net
Source0:	http://www.cacti.net/downloads/%{name}-%{version}.tar.bz2
Source1:	%{name}.README.mdk.bz2
Source2:	%{name}.conf.bz2
Source3:	%{name}.logrotate.bz2
Patch0:		cacti-0.8.6c-path_fix.diff.bz2
Patch1:		cacti-0.8.6-use_external_adodb.diff.bz2
Patch2:		cacti-0.8.6c.config.patch.bz2
Requires:	ADOdb
Requires:	mod_php
Requires:	php-cli
Requires:	php-gd
Requires:	php-mysql
Requires:	php-snmp
Requires:	php-xml
Requires:	net-snmp-utils
Requires:	net-snmp
Requires:	rrdtool
BuildArch:	noarch
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Cacti is a complete frondend to rrdtool, it stores all of the
nessesary information to create graphs and populate them with
data in a MySQL database.

The frontend is completely PHP driven. Along with being able
to maintain Graphs, Data Sources, and Round Robin Archives in
a database, cacti handles the data gathering also. There is
also SNMP support for those used to creating traffic graphs
with MRTG.

%prep

%setup -q
bzcat %{SOURCE1} > README.mdk
%patch0 -p1
%patch1 -p0
%patch2 -p0

bzcat %{SOURCE2} > %{name}.conf
bzcat %{SOURCE3} > %{name}.logrotate

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_var}/www/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/%{name}

cp *.php %{buildroot}%{_var}/www/%{name}
cp -pr docs %{buildroot}%{_var}/www/%{name}
cp -pr images %{buildroot}%{_var}/www/%{name}
cp -pr install %{buildroot}%{_var}/www/%{name}
cp -pr scripts %{buildroot}%{_datadir}/%{name}
cp -pr resource %{buildroot}%{_datadir}/%{name}
cp -pr lib %{buildroot}%{_datadir}/%{name}
cp -pr include %{buildroot}%{_datadir}/%{name}
cp -p cacti.sql %{buildroot}%{_datadir}/%{name}

# move config in /etc
install -d -m 755 %{buildroot}%{_sysconfdir}
pushd %{buildroot}%{_datadir}/%{name}/include
mv config.php ../../../..%{_sysconfdir}/%{name}.conf
ln -s ../../../..%{_sysconfdir}/%{name}.conf config.php
popd
pushd %{buildroot}%{_var}/www/%{name}
ln -s ../../..%{_datadir}/%{name}/include .
ln -s ../../..%{_datadir}/%{name}/lib .
popd

# apache configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/webapps.d/%{name}.conf <<EOF
# Cacti Apache configuration file
Alias /%{name} %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from all
</Directory>
EOF

# cron task
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
cat > %{buildroot}%{_sysconfdir}/cron.d/%{name} <<EOF
#!/bin/sh
*/5 * * * *     apache     php %{_var}/www/cacti/poller.php > /dev/null 2>&1
EOF

# logs
install -d -m 755 %{buildroot}%{_var}/log/%{name}
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
%{_var}/log/%{name}/*.log {
	missingok
	compress
}
EOF

# use_external_adodb
rm -rf %{buildroot}%{_var}/www/%{name}/lib/adodb

# correct script encoding and perms
perl -pi -e 's/\015$//' %{buildroot}%{_datadir}/%{name}/scripts/*
chmod +x %{buildroot}%{_datadir}/%{name}/scripts/*.{pl,sh}

%post
service httpd reload

%postun
service httpd reload

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.mdk docs/CHANGELOG docs/CONTRIB docs/README
%config(noreplace) %{_sysconfdir}/httpd/webapps.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,root,root) %{_sysconfdir}/cron.d/%{name}
%{_var}/www/%{name}
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/%{name}
%attr(-,apache,apache) %{_var}/log/%{name}

%changelog
* Fri Apr 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6c-10mdk
- fix #13964

* Fri Apr 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6c-9mdk
- fix #13963

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6c-8mdk
- spec file cleanups, remove the ADVX-build stuff
- fix rpmlint errors

* Mon Jan 31 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.6c-7mdk 
- fix configuration patch

* Sat Jan 29 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.6c-6mdk 
- fix inclusion pathes (Gilles Mocellin <cooker@gmocellin.dyndns.org>)
- move include and lib to %{_datadir}/%{name}
- fix post-install and post-uninstall

* Thu Jan 27 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.6c-5mdk 
- top-level dir is now %{_var}/www/%{name}
- config is now in %{_sysconfdir}
- reload apache instead of restarting it
- herein document instead of external source for apache config
- don't tag executables in %{_sysconfdir} as config
- README.mdk

* Wed Jan 12 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.6c-4mdk 
- move resource out of web dir too
- rediff P0 accordingly
- make cron task run with webserver uid
- use herein document instead of additional source

* Thu Jan 06 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.6c-3mdk 
- fix scripts encoding and perms
- rediff P0 for additional path problems in xml files

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6c-2mdk
- fix url

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6c-1mdk
- 0.8.6c
- fix deps
- fix P0

* Fri Oct 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6b-1mdk
- 0.8.6b
- fix P0
- bring back perms on the scripts, duh!

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-3mdk
- fix P0 and S1

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-2mdk
- fix strange perms

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-1mdk
- 0.8.6
- rediffed P0 & P1
- misc spec file fixes

* Sun May 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.5a-1mdk
- 0.8.5a
- fixed P0
- added P1

* Tue Mar 2 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.8.5-1mdk
- 0.8.5
- rediff patch1
- add logrotate script
- macroszification

* Thu Nov 27 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.4-2mdk
- add missing lib directory

* Tue Nov 25 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.4-1mdk
- 0.8.4
- ADVX macros
- fix files list

* Sat Aug 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.3-1mdk
- 0.8.3

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-4mdk
- added php-xml requires

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-3mdk
- oops, s/datadir/ap_htdocsdir/ - dedicated to resource directory again

* Sat Aug 2 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-2mdk
- added missing resource directory with xml templates

* Wed Jul 30 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-1mdk
- new version

* Fri Jun 06 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8-1mdk
- requires php-cli for cron task
- added cron task
- install in %%{_var}/www/html/%%{name}, no need for intermediate admin dir
- only install needed files under %%{_var}/www/html/%%{name}
- cleaned redundant requires
- cleaned spec file
- corrected url tag
- automatic apache integration

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-3mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-2mdk
- misc spec file fixes
- install in common and relocatable %%{_var}/www/html/ directory

* Wed Sep 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-1mdk
- security release
- do not require non existant php extensions
- misc spec file fixes 

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8-1mdk
- initial cooker contrib
